<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="utf-8">

  <title>3D Art Gallery</title>

  <link rel="stylesheet" href="style.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

</head>

<body>
  <div id="menu">

    <div id="img_container">
      <div id="starry_night_bg"></div>
    </div>
    <div id="content_container">
      <div id="content">
        <div class="title">
          <h1 class="stroke">My Art Gallery</h1>
          <h1 class="main">My Art Gallery</h1>
        </div>

        <div>
          <p style="font-family: 'Pacifico', cursive;">Welcome to your enchanting 3D gallery, a mesmerizing journey through art and imagination.</p>
          <p style="font-family: 'Pacifico', cursive;">With a mere glance at each painting, a captivating pop-up unfurls, revealing a trove of information about the artwork. </p>
        </div>
        <div>
          <p style="font-family: 'Pacifico', cursive;">Instructions:</p>
          <p style="font-family: 'Pacifico', cursive;">Use the arrow keys or W/A/S/D keys to navigate and move in different directions.</p>
          <p style="font-family: 'Pacifico', cursive;">Use the mouse to control the camera and look around your surroundings.</p>
          <p style="font-family: 'Pacifico', cursive;">Use the 'T' key /the click in order to turn on/off the music.The music will automatically start when you press the button 'Explore Art'.</p>
        </div>
        <div id="play_button">
          <p>EXPLORE ART</p>
        </div>
      </div>
    </div>
  </div>

  <div id="painting-info"></div>

  <script type="module" src="/main.js"></script>
  <audio id="background_music" src="Queen.mp3" loop></audio>

  <button id="music_button" class="music-button">
    <i id="music_icon" class="fa fa-volume-up"></i>
  </button>

  <script>
    // Define a variable to hold the music state
    let isMusicPlaying = false;

    // Get the reference to the audio element
    const backgroundMusic = document.getElementById('background_music');

    // Function to play the music
    const playMusic = () => {
      backgroundMusic.play();
      console.log('Music is playing');
    };

    // Function to stop the music
    const stopMusic = () => {
      backgroundMusic.pause();
      backgroundMusic.currentTime = 0;
      console.log('Music is stopped');
    };

    // Get the reference to the music button and icon
    const musicButton = document.getElementById('music_button');
    const musicIcon = document.getElementById('music_icon');

    // Function to toggle the music state
    const toggleMusic = () => {
      isMusicPlaying = !isMusicPlaying; // Toggle the music state

      // Update the UI based on the music state
      if (isMusicPlaying) {
        playMusic();
        musicIcon.classList.remove('fa-volume-off');
        musicIcon.classList.add('fa-volume-up');
      } else {
        stopMusic();
        musicIcon.classList.remove('fa-volume-up');
        musicIcon.classList.add('fa-volume-off');
      }
    };

    // Add event listener to the music button
    musicButton.addEventListener('click', toggleMusic);

    // Add event listener to the "EXPLORE ART" button
    const exploreArtButton = document.getElementById('play_button');
    exploreArtButton.addEventListener('click', () => {
      playMusic();
    });

    // Add event listener to the document for keydown events
    document.addEventListener('keydown', (event) => {
      // Check for the key combination you want (in this case, the 'T' key)
      if (event.key === 't') {
        toggleMusic();
      }
    });
  </script>

</body>

</html>